<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100041";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
								
////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;/
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo dela Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP
///$FechaHoy=date("Y/m/d");
$FechaHoy = "2020/03/23";
///$sql_WG1=mysql_query("Select NO_DOCUMENTO from tabla_docsurtido Where CVE_CUENTA='$CveCueCR1' AND EDO_DOCUMENTO='CERRADO' AND FECHA_CIERRE='$FechaHoy' ORDER BY HORA_CIERRE DESC");
$sql_WG1=mysql_query("Select NO_DOCUMENTO from tabla_docsurtido Where CVE_CUENTA='$CveCueCR1' AND EDO_DOCUMENTO='CERRADO' AND FECHA_CIERRE Between'2020/01/21' AND '2020/09/24' ORDER BY HORA_CIERRE DESC");
while($res_WG1=mysql_fetch_array($sql_WG1))
{///Inicia While General 01
$NoDocSuEn = $res_WG1['NO_DOCUMENTO'];
	
	
///Asignando Nombre al Archivo EDI
$NomARC = "DEXERP_".$NoDocSuEn;

///Consultando Datos de Exportación
$sql_EDI2 = mysql_query("select FECHA_CREADO,HORA_CREADO,FECHA_SURTIDO,HORA_SURTIDO,FECHA_CIERRE,HORA_CIERRE from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
if (mysql_numrows($sql_EDI2)==0) echo "";
else{
$registro_EDI2=mysql_fetch_array($sql_EDI2);
}
if (mysql_numrows($sql_EDI2)>0)
{
$FRegi=$registro_EDI2["FECHA_CREADO"];
$HRegi=$registro_EDI2["HORA_CREADO"];
$FSurt=$registro_EDI2["FECHA_SURTIDO"];
$Hsurt=$registro_EDI2["HORA_SURTIDO"];
$FCier=$registro_EDI2["FECHA_CIERRE"];
$HCIer=$registro_EDI2["HORA_CIERRE"];
}

$sql_EDI3 = mysql_query("select FECHA,HORA from tabla_detalledocsur where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' Order By ID DESC Limit 0,1");
if (mysql_numrows($sql_EDI3)==0) echo "";
else{
$registro_EDI3=mysql_fetch_array($sql_EDI3);
}
if (mysql_numrows($sql_EDI3)>0)
{
$FDeta=$registro_EDI3["FECHA"];
$HDeta=$registro_EDI3["HORA"];
}

$sql_EDI4 = mysql_query("select FECHA,HORA from tabla_asociaanden where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
if (mysql_numrows($sql_EDI4)==0) echo "";
else{
$registro_EDI4=mysql_fetch_array($sql_EDI4);
}
if (mysql_numrows($sql_EDI4)>0)
{
$FAnde=$registro_EDI4["FECHA"];
$HAnde=$registro_EDI4["HORA"];
}

///$sql_EDI5 = mysql_query("select COUNT( * ) As NCiclos from tabla_recibo where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
$sqlW1 = "SELECT COUNT(*) As CantReg FROM tabla_tareas WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'";
if (mysql_numrows($sql_EDI5)==0) echo "";
else{
$registro_EDI5=mysql_fetch_array($sql_EDI5);
}
if (mysql_numrows($sql_EDI5)>0)
{
$Ciclos=$registro_EDI5["CantReg"];
}

///Creamos un archivo nuevo
$file = fopen("C:/InterfacesEDI/$NomARC.txt", "w");

///Generar Lineas de Log's
fwrite($file,"$FRegi $HRegi -> Inicia Transferencia ... Importación de documento ..." . PHP_EOL);
fwrite($file,"$FRegi $HRegi -> Creación De Documento de Surtido: Ok!" . PHP_EOL);
fwrite($file,"$FDeta $HDeta -> Creación Detalle Documento de Surtido: Ok!" . PHP_EOL);
fwrite($file,"$FAnde $HAnde -> Asociación de Anden de Surtido: Ok!" . PHP_EOL);
fwrite($file,"$FSurt $Hsurt -> Inicio del Auditoria: Ok!" . PHP_EOL);
fwrite($file,"$FCier $HCIer -> Cierre de Surtido: Ok!" . PHP_EOL);
fwrite($file,"$FCier $HCIer -> Numero de Ciclos: $Ciclos" . PHP_EOL);
fwrite($file,"...Detalle de Surtido" . PHP_EOL);
fwrite($file,"" . PHP_EOL);
fwrite($file,"DOCUMENTO|SKU|DESCRIPCION|LOTE|LOTEPRODUCCION|CANT.X.SURTIR|CANT.SURTIDA" . PHP_EOL);

$sqlW1 = "SELECT DISTINCT SKU,LOTE,LOTEPRODU FROM tabla_tareas WHERE NO_DOCUMENTO='$NoDocSuEn' AND CVE_CUENTA='$CveCueCR1'";
$resW1=mysql_query($sqlW1) or die('Error en la consulta: '.mysql_error());
While($rowW1 = mysql_fetch_array($resW1,MYSQL_ASSOC))	
	{///Inicia Whlie de Llenado				
		$Sku_W1=$rowW1["SKU"];
		$Lot_W1=$rowW1["LOTE"];
		$LPr_W1=$rowW1["LOTEPRODU"];
	
		///Identificar la Descripcion del Producto
		$sql_IDes = mysql_query("select DESCRIPCION from tabla_altaproducto WHERE SKU='$Sku_W1' AND CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql_IDes)==0) echo "";
		else{
		$registro_IDes=mysql_fetch_array($sql_IDes);
		}
		if (mysql_numrows($sql_IDes)>0)
		{
		$DescC=$registro_IDes["DESCRIPCION"];
		}
		
		///Detectar el tipo de consulta
		if ($Lot_W1=="" and $LPr_W1=="")
		{
			$sql_Det = mysql_query("select CANT_X_SURTIR from tabla_detalledocsur WHERE NO_DOCUMENTO='$NoDocSuEn' AND CVE_CUENTA='$CveCueCR1' AND SKU='$Sku_W1' AND (LOTE='' or LOTE IS NULL) AND (LOTEPRODU IS NULL or LOTEPRODU='')");
		}
		if ($Lot_W1<>"" and $LPr_W1=="")
		{
			$sql_Det = mysql_query("select CANT_X_SURTIR from tabla_detalledocsur WHERE NO_DOCUMENTO='$NoDocSuEn' AND CVE_CUENTA='$CveCueCR1' AND SKU='$Sku_W1' AND LOTE='$Lot_W1' AND (LOTEPRODU IS NULL or LOTEPRODU='')");
		}
		if ($Lot_W1=="" and $LPr_W1<>"")
		{
			$sql_Det = mysql_query("select CANT_X_SURTIR from tabla_detalledocsur WHERE NO_DOCUMENTO='$NoDocSuEn' AND CVE_CUENTA='$CveCueCR1' AND SKU='$Sku_W1' AND (LOTE='' or LOTE IS NULL) AND LOTEPRODU='$LPr_W1'");
		}
		if ($Lot_W1<>"" and $LPr_W1<>"")
		{
			$sql_Det = mysql_query("select CANT_X_SURTIR from tabla_detalledocsur WHERE NO_DOCUMENTO='$NoDocSuEn' AND CVE_CUENTA='$CveCueCR1' AND SKU='$Sku_W1' AND LOTE='$Lot_W1' AND LOTEPRODU='$LPr_W1'");
		}
	
		///Identificar la cantidad por surtir	
		if (mysql_numrows($sql_Det)==0) echo "";
		else{
			$registro_Det=mysql_fetch_array($sql_Det);
		}
		if (mysql_numrows($sql_Det)>0)
		{
			$CxSur_Det=$registro_Det["CANT_X_SURTIR"];
		}
	
		///Sumar el total de piezas surtidas por SKU - LOTE - LOTEPRODUCCION
		$sqlSUMA = "SELECT SUM(CANT_SURTIDA) as ObtCant FROM tabla_tareas WHERE NO_DOCUMENTO='$NoDocSuEn' AND CVE_CUENTA='$CveCueCR1' AND SKU='$Sku_W1' AND LOTE='$Lot_W1' AND LOTEPRODU='$LPr_W1'";
		$resSUMA = mysql_query($sqlSUMA); 
		$PrePiezas = mysql_fetch_assoc($resSUMA);
		$CCSurtida = $PrePiezas ['ObtCant']; 
		
		fwrite($file,"$NoDocSuEn|$Sku_W1|$DescC|$Lot_W1|$LPr_W1|$CxSur_Det|$CCSurtida" . PHP_EOL);
		
		///Limiar Variables
		$Sku_W1 = "";
		$DescC = "";
		$Lot_W1 = "";
		$LPr_W1 = "";
		$CxSur_Det = "";
		$CCSurtida = "";

		
	}///Termina Whlie de Llenado

///Genera Sellos de Tiempo
$Hora_OK2=time();
$Hora_OKFIN=date("H:i:s",$Hora_OK2);			
			
$Hora2=time();
$Hora_M=date("H:i:s",$Hora);
$Fech_M=date("Y/m/d");
fwrite($file,"" . PHP_EOL);	
fwrite($file,"$Fech_M $Hora_OKFIN -> Finaliza Transferencia ..." . PHP_EOL);					

fclose($file);


	
///******************* Inicia Proceso de Copia de Archivo a Servidor FTP *******************///
	
///Inicia la copia interna del archivo en el servidor
$NoRepEn = $NomARC;

$archivo = 'C:/InterfacesEDI/'.$NoRepEn.'.txt';
$nuevo_archivo = 'C:/Apache2/htdocs/wms004/wrClient/Reportes_FTP/'.$NoRepEn.'.txt'; 

if (!copy($archivo, $nuevo_archivo)) {
echo "<script>alert('Error al copiar $archivo...');</script>";
}
	
///******************* Termina Proceso de Copia de Archivo a Servidor FTP *******************///	

 ////Eliminar el Archivo Generado para Evitar Basura
  $fileToDel="$NomARC.txt";

  chdir('C:/InterfacesEDI/'); 
  $do = unlink($fileToDel); 
  if($do=="1"){ 
	echo ""; 
	} else { echo "Se ha producido un error al intentar eliminar el archivo."; }	 
 
	///echo "('Interfaz EDI Enviada Exitosamente a:\\n$MailEn')";

}///Termina While General 01
	
///Redireccionamiento Final
echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=Home.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";		
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>